Summary: enables anonymous ftp access
Name: anonftp
Version: 2.3
Release: 4
Copyright: GPL
Group: Networking/Admin
Prefix: /home/ftp
BuildRoot: /tmp/anonftp
AutoReqProv: 0
Requires: ftpserver

%description
Contains the files needed for allowing anonymous ftp access to your machine. 
This lets any user get files from your machine without having an account,
which is a popular way of making programs available on the Internet.

%prep
rm -rf $RPM_BUILD_ROOT

%install
mkdir -p $RPM_BUILD_ROOT/home/ftp
mkdir -p $RPM_BUILD_ROOT/home/ftp/pub
mkdir -p $RPM_BUILD_ROOT/home/ftp/etc
mkdir -p $RPM_BUILD_ROOT/home/ftp/bin
mkdir -p $RPM_BUILD_ROOT/home/ftp/lib

cat > $RPM_BUILD_ROOT/home/ftp/etc/passwd <<EOF
root:*:0:0:::
bin:*:1:1:::
operator:*:11:0:::
ftp:*:14:50:::
nobody:*:99:99:::
EOF

cat > $RPM_BUILD_ROOT/home/ftp/etc/group <<EOF
root::0:
bin::1:
daemon::2:
sys::3:
adm::4:
ftp::50:
EOF

cp -fpa /etc/ld.so.cache $RPM_BUILD_ROOT/home/ftp/etc
cp -fpa /lib/libc.so.6 /lib/libc-2.0.5.so $RPM_BUILD_ROOT/home/ftp/lib
cp -fpa /lib/ld-2.0.5.so /lib/ld-linux.so.2 $RPM_BUILD_ROOT/home/ftp/lib
cp -fpa /lib/libnss_files-2.0.5.so /lib/libnss_files.so.1 $RPM_BUILD_ROOT/home/ftp/lib

cp -fpa /bin/ls /bin/cpio /bin/gzip /bin/tar $RPM_BUILD_ROOT/home/ftp/bin
cp -fpa /bin/ash $RPM_BUILD_ROOT/home/ftp/bin/sh
ln -sf gzip $RPM_BUILD_ROOT/home/ftp/bin/zcat
cp -fpa /usr/bin/compress $RPM_BUILD_ROOT/home/ftp/bin

strip $RPM_BUILD_ROOT/home/ftp/lib/*
strip $RPM_BUILD_ROOT/home/ftp/bin/*

chown -R root.root $RPM_BUILD_ROOT/home/ftp
chmod 755 $RPM_BUILD_ROOT/home/ftp
chmod 111 $RPM_BUILD_ROOT/home/ftp/bin
chmod 111 $RPM_BUILD_ROOT/home/ftp/bin/*
chmod 111 $RPM_BUILD_ROOT/home/ftp/etc
chmod 444 $RPM_BUILD_ROOT/home/ftp/etc/*
chown root.ftp $RPM_BUILD_ROOT/home/ftp/pub
chmod 2555 $RPM_BUILD_ROOT/home/ftp/pub

%clean
rm -rf $RPM_BUILD_ROOT

%changelog

* Sun Sep 21 1997 Fire Dragon <fdragon@nosferatu.world-net.net>

Added support for RedHat 4.8 / 4.8.1 with GNU Libc 2.0.x

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>

Requires ftpserver virtual package now (which wu-ftpd provides).

%files
/home/ftp/etc/passwd
/home/ftp/etc/group

/home/ftp/etc/ld.so.cache
/home/ftp/lib/libc.so.6
/home/ftp/lib/libc-2.0.5.so
/home/ftp/lib/libnss_files-2.0.5.so
/home/ftp/lib/libnss_files.so.1

%dir /home/ftp
%dir /home/ftp/bin
%dir /home/ftp/etc
%dir /home/ftp/pub
%dir /home/ftp/lib
/home/ftp/bin/ls
/home/ftp/bin/compress
/home/ftp/bin/cpio
/home/ftp/bin/gzip
/home/ftp/bin/sh
/home/ftp/bin/tar
/home/ftp/bin/zcat
